import greenfoot.*;
import java.util.ArrayList;

public class InfinitWorld  extends World
{
    private ArrayList<Platform> platforms = new ArrayList<Platform>();
    Platform first,last;
    public InfinitWorld()
    {
        super(1200,650,1,false);
        setBackground("game-background.jpg");
        
        
        Platform platform = new Platform();
        int x = platform.getWidth()/2;
        int y = (getHeight()-platform.getHeight()/2)+15;
        addObject(platform,x,y);
        platforms.add(platform);
        first = platform;
        
        platform = new Platform();
        addObject(platform, x + platform.getWidth(), y);
        platforms.add(platform);
        last = platform;
        
        addPlatform(true);
        
        Penguin pengu = new Penguin();
        addObject(pengu,x,y - pengu.getHeight()/2);
    }
    public void addPlatform(boolean addRight)
    {
        int x,y;
        Platform platform = new Platform();
        if(addRight == true)
        {
            y = last.getY();
            x = last.getX() + platform.getWidth();
            last = platform;
        }
        else
        {
            x = first.getX() - platform.getWidth();
            y = first.getY();
            first = platform;
        }
        addObject(platform, x, y);
        platforms.add(platform);
    }
    public void movePlatforms(int step)
    {
        for(Platform platform:platforms)
        {
            platform.move(step);
        }
        
        if(first.getLeft() > 0)
        {
            addPlatform(false);
        }
        if(last.getRight() < getWidth())
        {
            addPlatform(true);
        }
    }
    
}