import greenfoot.*;

public class Penguin  extends Actor
{
   private GreenfootImage left = new GreenfootImage("pengu-left.png");
   private GreenfootImage right =new GreenfootImage("pengu-right.png");
   
  public Penguin()
  {
    setImage(right);
    }
  public int getTop()
    {
        return getY()-getImage().getHeight()/2;
    }
  public int getBottom()
    {
        return getY()+getImage().getHeight()/2;
    }
  public int getLeft()
    {
        return getX()-getImage().getWidth()/2;
    }
  public int getRight()
    {
        return getX()+getImage().getWidth()/2;
    }
  public int getHeight()
  {
     return getImage().getHeight();
  }
  public int getWidth()
  {
     return getImage().getWidth();
  }
  public void act()
  {
        checkKeys();
  }
  public void checkKeys()
  {
      InfinitWorld world = (InfinitWorld) getWorld();
      if(Greenfoot.isKeyDown("a"))
      {
          
          if(getX()>=getWidth()/2)
          {
              move(-5);
              setImage(left);
          }
          else
            world.movePlatforms(5);
      }
      if(Greenfoot.isKeyDown("d"))
      {   
          if(getX()<=(world.getWidth()-getWidth()/2))
          {
              move(5);
              setImage(right);
          }
          else
            world.movePlatforms(-5);
      }
  }
}
